/* Reset básico */
html {
  scroll-behavior: smooth;
}

body, h1, p {
	margin: 0;
	padding: 0;
	font-family: 'Plus Jakarta Sans', sans-serif;
	color: #1e0b0b;
}

body {
	background-color: #f6f6f6;
}

/* Seção de Integrações */
#integrations {
	width: 100%;
	background-color: #f6f6f6;
	padding: 1px;
	background-color: #ededed;
	box-shadow: 0px -4px 10px rgba(0, 0, 0, 0.1);
	margin-top: 20px;
}


/* Grade de integração com 3 linhas horizontais */
#integrations-grid {
  display: flex;
  flex-direction: column;
  gap: 20px;
  overflow: hidden;
  width: 100%;
  max-width: 100%;
  margin: 40px auto;
}

/* Cada linha com logos rolando */
.integration-row {
  display: flex;
  gap: 20px;
  animation: slideLeft 60s linear infinite;
}

/* Cada card de logo */
.integration-card {
  width: 100px;
  height: 100px;
  background-color: #BCD4DD;
  border-radius: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1rem;
  box-sizing: border-box;
  flex-shrink: 0;
}

.integration-card img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
  width: auto;
  height: auto;
  aspect-ratio: 1 / 1;
}


/* Animação de deslize */
@keyframes scroll {
  from {
    transform: translateX(0%);
  }
  to {
    transform: translateX(-100%);
  }
}



.scrolling-row {
  display: flex;
  gap: 16px;
  animation: scroll 40s linear infinite;
}

.scrolling-row.slower {
  animation-duration: 60s;
}

.scrolling-row.slowest {
  animation-duration: 80s;
}




/* Cabeçalho com logo */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #fff;
    padding: 10px 10%;
    display: block;
    align-items: center;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

.logo img {
	height: 50px;
}

/* Primeira Dobra */
#hero {
	height: 85dvh;
	display: flex;
	align-items: center;
	justify-content: flex-start;
	text-align: left;
	background: url('images/abstract-neural-03.webp') no-repeat left center/cover;
	/*background-color: black;*/
	box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
	padding-left: 10%;
}

#hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height:  85dvh;
    background: linear-gradient(to right, rgba(255, 255, 255, 0.95) 20%, rgba(255, 255, 255, 0.1)80%);
    z-index: 1;
}

.hero-content {
	max-width: 700px;
}

.hero-content {
    position: relative;
    z-index: 2;
}

.hero-content h1 {
	font-size: 4rem;
	font-weight: 300;
	line-height: 1.2;
	background: linear-gradient(45deg, #1e0b0b, red);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	text-shadow: 1px 1px 8px rgba(255, 255, 255, 0.4);
}

.subheadline {
	font-size: 1.5rem;
	max-width: 600px;
	margin-top: 20px;
	opacity: 0.9;
	font-weight: 300;
	text-shadow: 1px 1px 2px rgba(255, 255, 255, 0.8);
}

/* Números Impactantes - Em Boxes */
.impact-numbers-content {
    display: flex;
    min-height: 15dvh;
    height: auto;
    margin: 0;
    padding: 0;
    justify-content: flex-start;
    flex-wrap: wrap;
}

.number-box {
    flex: 1; /* Faz com que cada box tenha a mesma largura */
    background: transparent;
    border: none;
    box-shadow: inset 0px 0px 6px rgba(0, 0, 0, 0.3); /* Glow preto interno */
    box-sizing: border-box;
    padding: 20px;
    text-align: left;
    display: flex;
    flex-direction: column;
    /*justify-content: center; */
    align-items: flex-start;
    border-radius: 0; /* Remove os cantos arredondados */
    /* border-left: none; /* Remove a borda entre os boxes */
}

/* Garante que apenas o primeiro box tenha borda à esquerda */
.number-box:first-child {
    /* border-left: 1px solid #A0A0A0; */
}


.number {
    font-size: 2.5rem;
    font-weight: bold;
    color: #38bdf8;
    display: block;
    text-align: left;
}

.number-box p {
    font-size: 1rem;
    opacity: 0.8;
    margin-top: 10px;
    font-weight: 300;

}

/* Botão CTA */
.cta-button {
    display: inline-block;
    background-color: #CA212D;
    color: #fff;
    font-size: 1.2rem;
    font-weight: 600;
    padding: 12px 24px;
    border-radius: 8px;
    text-decoration: none;
    transition: background 0.3s ease-in-out, transform 0.2s ease-in-out;
    margin-top: 25px;
}

.cta-button:hover {
    background-color: #0D243E;
    transform: scale(0.95);
}

#flux {
    padding: 1px 0 30px;
    background-color: #fdfdfd; /* Fundo simulando papel quadriculado */
    background-image: 
        repeating-linear-gradient(to right, #eaeaea 0px, #eaeaea 1px, transparent 1px, transparent 36px),
        repeating-linear-gradient(to bottom, #eaeaea 0px, #eaeaea 1px, transparent 1px, transparent 36px);
    background-size: 36px 36px; /* Define o tamanho do quadriculado */
    text-align: center;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

#flux h2 {
	font-size: 3rem;
	font-weight: 300;
	line-height: 1.2;
	background: linear-gradient(45deg, #1e0b0b, red);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	text-shadow: 1px 1px 8px rgba(255, 255, 255, 0.4);
	margin: 20px 0 30px;
}

.flux-content {
    display: flex;
    flex-wrap: wrap;              /* Permite que quebrem linha no mobile */
    justify-content: center;
    gap: 40px;
    max-width: 1200px;
    margin: 0 auto;
}

.flux-left,
.flux-right {
    flex: 1 1 500px;              /* Cresce igualmente, largura mínima */
    max-width: 500px;             /* Evita que fiquem largos demais */
}



.flux-right-chatbot {
    background-color: #ffffff;              /* Fundo branco */
    border: 1px solid #00bcd4;              /* Borda ciano */
    border-radius: 20px;                    /* Cantos arredondados */
    padding: 24px 32px;                     /* Espaçamento interno */
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1); /* Sombra externa leve */
    margin: 0 30px;
}

.flux-right-chatbot {
    display: flex;
    flex-direction: column;
    gap: 8px;
    	    background: linear-gradient(
        135deg,
        rgba(205, 224, 231, 0.9) 0%,     /* Azul médio translúcido */
        rgba(255, 200, 200, 0.3) 50%,    /* Toque rosado com transparência */
        rgba(205, 224, 231, 0.8) 100%    /* Volta pro azul */
    );
}


.flux-right-chatbot h4 {
    margin: 10px auto;
    font-size: 1.7rem;
    font-weight: 500;
    color: #333;
}

.flux-right-chatbot em {
    text-align: left;
    margin-bottom: 16px;
}

.chat-message {
    max-width: 80%;
    padding: 12px 16px;
    margin: 8px 0;
    border-radius: 12px;
    font-size: 0.95rem;
    line-height: 1.4;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
}

.chat-message.user {
    background-color: #e0f7fa; /* azul claro */
    align-self: flex-end;      /* Alinha à direita */
    text-align: left;
    margin-left: auto;
    border-bottom-right-radius: 0;
}

.chat-message.system {
    background-color: #ffffff;
    align-self: flex-start;    /* Alinha à esquerda */
    text-align: left;
    margin-right: auto;
    border-bottom-left-radius: 0;
}



#agent, #about, #integrations {
    padding: 1px 0 30px;
    text-align: center;
}

#agent, #integrations {
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.agent-content h2, #integrations h2, .about-content h2 {
	font-weight: 300;
	line-height: 1.2;
	background: linear-gradient(45deg, #1e0b0b, red);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	text-shadow: 1px 1px 8px rgba(255, 255, 255, 0.4);
}

.agent-content h2 {
	font-size: 2.5rem;
	margin: 20px 0;
}



.about-content h2, #integrations h2 {
	font-size: 3rem;
	margin: 20px 0 30px;
}


#agent {
	    background: linear-gradient(
        135deg,
        rgba(205, 224, 231, 0.9) 0%,     /* Azul médio translúcido */
        rgba(255, 200, 200, 0.3) 50%,    /* Toque rosado com transparência */
        rgba(205, 224, 231, 0.8) 100%    /* Volta pro azul */
    );
    padding-bottom: 30px!important;
}

.iframe {
	margin: 0 30px;
}

.about-frame {
    background-color: #fff;
    border-radius: 10px;
    /* box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);*/
    max-width: 1000px;
    border: 1px solid #dbdbdb;
    padding: 20px;
    display: flex;
    flex-wrap: nowrap; /* Garante que os itens fiquem lado a lado */
    justify-content: space-between; /* Dá espaço entre os elementos */
    align-items: center;
    width: 100%; /* Agora ocupa toda a largura disponível */
    margin: 0 30px;
}

.about-content {
    display: flex;
    flex-wrap: wrap;              /* Permite que quebrem linha no mobile */
    justify-content: center;
    max-width: 1200px;
    margin: 0 auto;
}

.about-content p {
	font-size: 1.2rem;
}

.chatbot-frame {
	width: 100%;
    max-width: 1040px;
    height: 70dvh; /* Ajustável, pode usar vh ou min-height para responsividade */
    max-height: 500px;
    border: 1px solid #dbdbdb;
    border-radius: 10px;
    box-sizing: border-box;
}

.about-column {
    padding: 20px;
}

/* Ajuste de largura das colunas */
.about-left {
    flex: 2; /* Maior prioridade para o texto */
    text-align: left;
    
}

.about-left ul {
    list-style-type: disc;
    padding-left: 20px;
    text-align: left;

}

.about-right {
    flex: 1; /* Menos prioridade para os logos */
    display: flex;
    flex-direction: column;
    align-items: center;
}

.logos-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* 2 colunas */
    grid-template-rows: repeat(3, auto);  /* 3 linhas */
    gap: 20px; /* Espaço entre os logos */
    justify-items: center; /* Centraliza os logos dentro das células */
    align-items: center;
    padding: 0 20px;
}

.logos-container img {
    max-height: 80px; /* Define a altura fixa do logo */
    max-width: 130px; /* Define a altura fixa do logo */
    object-fit: contain; /* Garante que o logo não seja cortado */
}

.footer {
  height: 74px;
  background-color: #fff;
  color: red;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.9rem;
  font-weight: 300;
}


/* Responsividade */

@media (max-width: 1440px) {
	.n5 {
	display: none;
	}

}

@media (max-width: 900px) {
	#hero {
		padding-left: 5%;
	}

	.hero-content h1 {
		font-size: 3rem;
	}

	.subheadline {
		font-size: 1.2rem;
	}
	
	.number {
		font-size: 2rem;
	}
	
	.number-box p {
		font-size: 0.8rem;
	}
	
    .about-frame {
        flex-direction: column; /* Faz as colunas ficarem uma acima da outra */
        align-items: center; /* Centraliza o conteúdo */
        text-align: center; /* Mantém alinhado corretamente */
    }

    .about-left, .about-right {
        flex: none; /* Remove a proporção */
        width: 100%; /* Ocupa toda a largura disponível */
        padding: 10px; /* Dá um respiro entre as seções */
    }

    .about-left ul {
        text-align: left; /* Mantém o alinhamento à esquerda */
        padding-left: 20px; /* Mantém a indentação correta */
    }


} 
@media (max-width: 600px) {
	.header {
		padding: 10px 5%;
	}

	#hero {
		padding-left: 0;
		height: 85dvh;
	}
	
	#hero::before {
		height: 85dvh;
		background: linear-gradient(to right, rgba(255, 255, 255, 0.95) 25%, rgba(255, 255, 255, 0.55)75%);
	}

	.hero-content {
		padding: 15px;
	}
	
	.hero-content h1 {
		font-size: 2rem;
	}
	
	.footer p {
		font-size: 0.7rem;
	}
	
	h2 {
		font-size: 1.8rem !important;
	}
	
	.number-box {
		flex-basis: 50%;
		flex-grow: 0;
		flex-shrink: 0;
	}

	.subheadline {
		font-size: 1rem;
	}
	
	.n4, .n3 {
	display: none;
	}
	
	.flux-right {
	order: 1;
	}
	
	.flux-left {
	order: 2;
	}
	
	.integration-card {
	  width: 50px;
	  height: 50px;
	}
	#integrations-grid {
	  gap: 12px;
	}
	
	/* Cada linha com logos rolando */
	.integration-row {
	  gap: 12px;
	}

}
